package com.doc.biz.controller;

import com.alibaba.fastjson2.JSONObject;
import com.doc.biz.service.IDocInfoService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.PrintWriter;
import java.util.Scanner;

/**
 * 分组成员Controller
 *
 * @author wukai
 * @date 2023-03-27
 */
@RestController
@RequestMapping("/only-office")
public class OnlyOfficeController {
    @Resource
    private IDocInfoService docInfoService;

    /**
     * only office修改回调
     *
     * @param id       文档ID
     * @param name     当前登录的用户名
     * @param request  请求参数
     * @param response 响应参数
     * @throws Exception
     */
    @RequestMapping("/callback")
    @ResponseBody
    public void save(@RequestParam("id") Long id, @RequestParam("name") String name, HttpServletRequest request, HttpServletResponse response) throws Exception {
        PrintWriter writer = null;
        String body = "";
        try {
            writer = response.getWriter();
            Scanner scanner = new Scanner(request.getInputStream());
            scanner.useDelimiter("\\A");
            body = scanner.hasNext() ? scanner.next() : "";
            scanner.close();
        } catch (Exception ex) {
            writer.write("get request.getInputStream error:" + ex.getMessage());
            return;
        }

        if (body.isEmpty()) {
            throw new Exception("ONLYOFFICE回调保存请求体为空");
        }

        JSONObject jsonObj = JSONObject.parseObject(body);
        int status = (Integer) jsonObj.get("status");
       /* 定义文档的状态。 可以有以下值：
        1 - 正在编辑文档，
        2 - 文档已准备好保存，
        3 - 发生文档保存错误，
        4 - 文档已关闭，没有任何更改，
        6 - 正在编辑文档，但保存了当前文档状态，
        7 - 强制保存文档时发生错误。*/
        int saved = 0;
        String key = jsonObj.get("key").toString();
        if (status == 2 || status == 3 || status == 6) {
            //MustSave, Corrupted
            String downloadUri = (String) jsonObj.get("url");
//            docInfoService.updateFile(id, year, name, downloadUri);
//            System.err.println(downloadUri);
//            try {
//                URL url = new URL(downloadUri);
//                HttpURLConnection connection = (java.net.HttpURLConnection) url.openConnection();
//                InputStream stream = connection.getInputStream();
//                String pathForSave = "D:\\SYSTEM\\Desktop\\temp\\test.docx";
//                File savedFile = new File(pathForSave);
//                try (FileOutputStream out = new FileOutputStream(savedFile)) {
//                    int read;
//                    final byte[] bytes = new byte[1024];
//                    while ((read = stream.read(bytes)) != -1) {
//                        out.write(bytes, 0, read);
//                    }
//
//                    out.flush();
//                }
//
//                connection.disconnect();
//            } catch (Exception ex) {
//                saved = 1;
//                ex.printStackTrace();
//            }
        }
        writer.write("{\"error\":" + saved + "}");
    }
}
