package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.BaseEntity;
import com.doc.common.core.domain.entity.SysUser;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 组织目录成员对象 doc_dir_user
 *
 * @author wukai
 * @date 2023-08-21
 */
@Data
@ApiModel(value = "DocDirUser", description = "组织目录成员")
public class DocDirUser extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增ID
     */
    @ApiModelProperty("自增ID")
    @TableId
    private Long autoId;

    /**
     * 目录ID
     */
    @ApiModelProperty("目录ID")
    private Long dirId;

    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    private Long userId;

    @ApiModelProperty("用户姓名")
    @TableField(exist = false)
    private String userName;

    /**
     * 是否管理员
     */
    @ApiModelProperty("是否管理员")
    @Excel(name = "是否管理员")
    private String isManager;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("autoId", getAutoId())
                .append("dirId", getDirId())
                .append("userId", getUserId())
                .append("isManager", getIsManager())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
