package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 文档分享对象 doc_share
 *
 * @author wukai
 * @date 2023-08-21
 */
@ApiModel(value = "DocShare" , description = "文档分享")
public class DocShare extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 分享ID
     */
    @ApiModelProperty("分享ID")
    @TableId
    private Long shareId;

    /**
     * 文件ID
     */
    @ApiModelProperty("文件ID")
    private Long docId;

    /**
     * 分享人员
     */
    @ApiModelProperty("分享人员")
    private Long userId;

    /**
     * 人员名称
     */
    @ApiModelProperty("人员名称")
    @Excel(name = "人员名称")
    private String userName;

    public void setShareId(Long shareId) {
        this.shareId = shareId;
    }

    public Long getShareId() {
        return shareId;
    }

    public void setDocId(Long docId) {
        this.docId = docId;
    }

    public Long getDocId() {
        return docId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserName() {
        return userName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("shareId" , getShareId())
                .append("docId" , getDocId())
                .append("userId" , getUserId())
                .append("userName" , getUserName())
                .append("createBy" , getCreateBy())
                .append("createTime" , getCreateTime())
                .append("updateBy" , getUpdateBy())
                .append("updateTime" , getUpdateTime())
                .append("remark" , getRemark())
                .toString();
    }
}
