package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.doc.common.annotation.Excel;
import com.doc.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 文档空间管理对象 doc_space
 *
 * @author wukai
 * @date 2023-08-21
 */
@ApiModel(value = "DocSpace" , description = "文档空间管理")
public class DocSpace extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 空间ID
     */
    @ApiModelProperty("空间ID")
    @TableId
    private Long spaceId;

    /**
     * 空间类型
     */
    @ApiModelProperty("空间类型")
    @Excel(name = "空间类型")
    private String spaceType;

    /**
     * 空间名称
     */
    @ApiModelProperty("空间名称")
    @Excel(name = "空间名称")
    private String spaceName;

    /**
     * 空间容量
     */
    @ApiModelProperty("空间容量")
    @Excel(name = "空间容量")
    private BigDecimal spaceCap;

    /**
     * 已使用空间容量
     */
    @ApiModelProperty("已使用空间容量")
    @Excel(name = "已使用空间容量")
    private BigDecimal usedCap;

    /**
     * 剩余空间容量
     */
    @ApiModelProperty("剩余空间容量")
    @Excel(name = "剩余空间容量")
    private BigDecimal freeCap;

    /**
     * 空间归属
     */
    @ApiModelProperty("空间归属")
    @Excel(name = "空间归属")
    private Long owner;

    public void setSpaceId(Long spaceId) {
        this.spaceId = spaceId;
    }

    public Long getSpaceId() {
        return spaceId;
    }

    public void setSpaceType(String spaceType) {
        this.spaceType = spaceType;
    }

    public String getSpaceType() {
        return spaceType;
    }

    public void setSpaceName(String spaceName) {
        this.spaceName = spaceName;
    }

    public String getSpaceName() {
        return spaceName;
    }

    public void setSpaceCap(BigDecimal spaceCap) {
        this.spaceCap = spaceCap;
    }

    public BigDecimal getSpaceCap() {
        return spaceCap;
    }

    public void setUsedCap(BigDecimal usedCap) {
        this.usedCap = usedCap;
    }

    public BigDecimal getUsedCap() {
        return usedCap;
    }

    public void setFreeCap(BigDecimal freeCap) {
        this.freeCap = freeCap;
    }

    public BigDecimal getFreeCap() {
        return freeCap;
    }

    public void setOwner(Long owner) {
        this.owner = owner;
    }

    public Long getOwner() {
        return owner;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("spaceId" , getSpaceId())
                .append("spaceType" , getSpaceType())
                .append("spaceName" , getSpaceName())
                .append("spaceCap" , getSpaceCap())
                .append("usedCap" , getUsedCap())
                .append("freeCap" , getFreeCap())
                .append("owner" , getOwner())
                .append("createBy" , getCreateBy())
                .append("createTime" , getCreateTime())
                .append("updateBy" , getUpdateBy())
                .append("updateTime" , getUpdateTime())
                .append("remark" , getRemark())
                .toString();
    }
}
