package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.doc.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 文件传输对象 doc_transfer
 *
 * @author wukai
 * @date 2023-08-21
 */
@ApiModel(value = "DocTransfer" , description = "文件传输")
public class DocTransfer extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 传输ID
     */
    @ApiModelProperty("传输ID")
    @TableId
    private Long tranId;

    /**
     * 文件ID
     */
    @ApiModelProperty("文件ID")
    private Long docId;

    public void setTranId(Long tranId) {
        this.tranId = tranId;
    }

    public Long getTranId() {
        return tranId;
    }

    public void setDocId(Long docId) {
        this.docId = docId;
    }

    public Long getDocId() {
        return docId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("tranId" , getTranId())
                .append("docId" , getDocId())
                .append("createBy" , getCreateBy())
                .append("createTime" , getCreateTime())
                .append("updateBy" , getUpdateBy())
                .append("updateTime" , getUpdateTime())
                .append("remark" , getRemark())
                .toString();
    }
}
