package com.doc.biz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.doc.biz.domain.DocDir;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 文档目录管理Mapper接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface DocDirMapper extends BaseMapper<DocDir> {
    /**
     * 查询文档目录管理
     *
     * @param dirId 文档目录管理主键
     * @return 文档目录管理
     */
    public DocDir selectDocDirByDirId(Long dirId);

    /**
     * 查询文档目录管理列表
     *
     * @param docDir 文档目录管理
     * @return 文档目录管理集合
     */
    public List<DocDir> selectDocDirList(DocDir docDir);

    /**
     * 新增文档目录管理
     *
     * @param docDir 文档目录管理
     * @return 结果
     */
    public int insertDocDir(DocDir docDir);

    /**
     * 修改文档目录管理
     *
     * @param docDir 文档目录管理
     * @return 结果
     */
    public int updateDocDir(DocDir docDir);

    /**
     * 删除文档目录管理
     *
     * @param dirId 文档目录管理主键
     * @return 结果
     */
    public int deleteDocDirByDirId(Long dirId);

    /**
     * 批量删除文档目录管理
     *
     * @param dirIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDocDirByDirIds(Long[] dirIds);

    /**
     * 查询当前用户下所有有权限的目录ID
     *
     * @param spaceIds 空间ID
     * @param userId   用户ID
     * @return 结果集
     */
    List<DocDir> selectDirByUser(@Param("spaceIds") List<Long> spaceIds, @Param("userId") Long userId);
}
