package com.doc.framework.interceptor;

import lombok.extern.slf4j.Slf4j;
import org.apache.catalina.connector.ClientAbortException;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.servlet.mvc.method.annotation.ResponseEntityExceptionHandler;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * 下载文件时报错处理
 * org.apache.catalina.connector.ClientAbortException: java.io.IOException: 你的主机中的软件中止了一个已建立的连接。
 *
 * @author wukai
 */
@ControllerAdvice(basePackages = {"com.doc.biz.controller"})
@Slf4j
public class ExceptionInterceptor extends ResponseEntityExceptionHandler {
    @ExceptionHandler(ClientAbortException.class)
    @ResponseBody
    ResponseEntity<?> handlerClientAbortException(HttpServletRequest request, HttpServletResponse response, Throwable ex) {
        //日志自己处理
        log.warn("这个错误不用管，有点莫名其妙！");
        //此处一定要返回null了，因为客户端已经断开连接，返回请求没啥用了
        return null;
    }
}
